DCCIDUMP(1)

NAME
dccidump - ACR/NEMA DICOM PS3 ... DICOM PS3 - Describe DICOM Content Items

SYNOPSIS

dccidump [ -v|verbose ] [ -vv|veryverbose ] [ -filename ] [ -identifier ]

DESCRIPTION

dccidump reads the named dicom input file and describes any Content Item Macro items (defined by the presence of Value Type) contained therein.

OPTIONS
The attribute values, description and verbose output go to standard error.

The basic input switches are described in dcintro(1). Options specific to this program are:

-verbose
    Describe the parsing process; does not actually do anything at present.

-veryverbose
    Display byte offset from file start and message start, in hexadecimal, and dump contents of the DICOM dataset while reading.

-filename
    Show the name of the file supplied in the arguments; a hyphen will be reported if no filename was supplied.

-identifier
    Preceed each content item with the dot delimited numeric identifier of the sequence attribute containing the content item relative to the root of the nested sequence item tree, and the item number in the sequence in brackets.

ENVIRONMENT

EXAMPLES

% dccidump -identifier wsi.dcm
        1.81[1].6[1].1: Specimen Preparation Step Content Item Sequence
            1.81[1].6[1].1[1]: TEXT: (121041,DCM,"Specimen Identifier") = "TCGA-05-4244-01"
            1.81[1].6[1].1[2]: CODE: (434711009,SCT,"Specimen container") = (434711009,SCT,"Specimen container")
            1.81[1].6[1].1[3]: CODE: (371439000,SCT,"Specimen type") = (119376003,SCT,"Tissue specimen")
            1.81[1].6[1].1[4]: CODE: (111701,DCM,"Processing type") = (17636008,SCT,"Specimen Collection")
            1.81[1].6[1].1[5]: CODE: (17636008,SCT,"Specimen Collection") = (118292001,SCT,"Removal")

FILES

SEE ALSO
dcintro(1)

AUTHOR
Copyright (c) 1993-2022, David A. Clunie DBA PixelMed Publishing. All rights reserved.

BUGS